// pages/order/addcustom/addcustom.js
let util = require('../../../utils/util.js');
var that
Page({

  /**
   * 页面的初始数据
   */
  data: {
    customerOnlyId: '',
    name: '',
    tel: '',
    address: '',
    detail: {}
  },
  setaddress(e) {
    this.setData({
      address: e.detail.value
    })
  },
  setname(e) {
    this.setData({
      name: e.detail.value
    })
  },
  settel(e) {
    this.setData({
      tel: e.detail.value
    })
  },
  save() {
    if (!this.data.name) {
      util.showToast('请填写客户姓名')
      return
    }
  /** if (this.data.tel && !util.checkPhone(this.data.tel)) {
      util.showToast('请输入正确的手机号码')
      return
    }**/
    var url = ''
    var da = {}
    if (this.data.detail.id) {
      url = 'customeraddress/wxapi/update'
      da = this.data.detail
      da.name = this.data.name
      da.tel = this.data.tel
      da.address = this.data.address
    } else {
      url = 'customeraddress/wxapi/create'
      da = {
        name: this.data.name,
        tel: this.data.tel,
        address: this.data.address,
        customer: {
          onlyID: this.data.customerOnlyId
        }
      }
    }
    util.query(url, da, function(res) {
      if (res.code === 10000) {
        util.showToast("保存成功")

        setTimeout(function() {
          let pages = getCurrentPages()
          let prevPage = pages[pages.length - 2]
          prevPage.getAddressList()
          wx.navigateBack({
            delta: 1
          })
        }, 2000)
      } else {
        util.showToast('保存失败')
      }
    }, 'POST')
  },
  getdetail(id) {
    util.query('customeraddress/wxapi/findbyid', {
      id: id
    }, function(res) {
      if (res.code === 10000) {
        that.setData({
          detail: res.data,
          name: res.data.name,
          tel: res.data.tel,
          address: res.data.address
        })
      } else {
        util.showToast('未发现该客户地址')
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    that = this
    if (options.id) {
      this.getdetail(options.id)
    } else {
      this.setData({
        customerOnlyId: options.customerOnlyId
      })
    }


  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})